USN-4487-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4487-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4487-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4487-1
Related
Published
2020-09-02T13:05:00.197708Z
Modified
2020-09-02T13:05:00.197708Z
Summary
libx11 vulnerabilities
Details

Todd Carson discovered that libx11 incorrectly handled certain memory operations. A local attacker could possibly use this issue to escalate privileges. (CVE-2020-14344)

Jayden Rivers discovered that libx11 incorrectly handled locales. A local attacker could possibly use this issue to escalate privileges. (CVE-2020-14363)

References

Affected packages

Ubuntu:20.04:LTS / libx11

Package

Name
libx11

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.6.9-2ubuntu1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libx11-6-udeb": "2:1.6.9-2ubuntu1.1",
            "libx11-dev": "2:1.6.9-2ubuntu1.1",
            "libx11-6": "2:1.6.9-2ubuntu1.1",
            "libx11-xcb-dev": "2:1.6.9-2ubuntu1.1",
            "libx11-xcb1": "2:1.6.9-2ubuntu1.1",
            "libx11-doc": "2:1.6.9-2ubuntu1.1",
            "libx11-data": "2:1.6.9-2ubuntu1.1"
        }
    ]
}

Ubuntu:18.04:LTS / libx11

Package

Name
libx11

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.6.4-3ubuntu0.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libx11-6-udeb": "2:1.6.4-3ubuntu0.3",
            "libx11-dev": "2:1.6.4-3ubuntu0.3",
            "libx11-6": "2:1.6.4-3ubuntu0.3",
            "libx11-xcb-dev": "2:1.6.4-3ubuntu0.3",
            "libx11-xcb1": "2:1.6.4-3ubuntu0.3",
            "libx11-doc": "2:1.6.4-3ubuntu0.3",
            "libx11-data": "2:1.6.4-3ubuntu0.3"
        }
    ]
}

Ubuntu:16.04:LTS / libx11

Package

Name
libx11

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.6.3-1ubuntu2.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libx11-6-udeb": "2:1.6.3-1ubuntu2.2",
            "libx11-dev": "2:1.6.3-1ubuntu2.2",
            "libx11-6": "2:1.6.3-1ubuntu2.2",
            "libx11-xcb-dev": "2:1.6.3-1ubuntu2.2",
            "libx11-xcb1": "2:1.6.3-1ubuntu2.2",
            "libx11-doc": "2:1.6.3-1ubuntu2.2",
            "libx11-data": "2:1.6.3-1ubuntu2.2"
        }
    ]
}